#include <Wire.h>
#include <LiquidCrystal_I2C_Ext.h>
LiquidCrystal_I2C_Ext lcd(0x27, 20, 4);

// Пины для энкодера
#define pinCLK 2
#define pinDT  3
#define pinSW  4

void setup() {
  lcd.begin();
  lcd.attachEncoder(pinDT, pinCLK, pinSW);
}

void loop() {
  // Пример использования меню для диалога с пользователем
  sMenuItem formatConfirmation[] = {{0, 1, "Format drive C?"}, {1, 2, "No"}, {1, 3, "Yes"}};
  if (lcd.showMenu(formatConfirmation, 3, 1) == 3)
    lcd.print("Yes selected");
  else
    lcd.print("No selected");
  delay(2000);
}
